<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />

    <style>
      .carousel-inner{
        position: relative;
      }
      .carousel-inner::after{
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background: rgba(0,0,0,0.3);
      }
    </style>
    <title>Bootstrap - Components</title>
  </head>
  <body>
   <!-- Navbar Section Start -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
      <a class="navbar-brand" href="#">Navbar</a>
      <button
        class="navbar-toggler"
        type="button"
        data-toggle="collapse"
        data-target="#navbarNav"
        aria-controls="navbarNav"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <!-- Push links to the right side -->
        <ul class="navbar-nav ml-auto">
          <li class="nav-item active">
            <a class="nav-link" href="#"
              >About Me <span class="sr-only">(current)</span></a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Projects</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Tools</a>
          </li>
        </ul>
      </div>
    </nav>
    <!-- Navbar Section End -->
    <div class="container-fluid text-center">
      <!-- Start of Row -->
      <div class="row">
        <!-- Side Navbar Section Start -->
        <div class="card col-xl-2 d-none d-xl-block p-0">
          <div class="accordion" id="accordionExample">
            <div class="card">
              <div class="card-header" id="headingOne">
                <h2 class="mb-0">
                  <buttonE
                    class="btn btn-link btn-block text-left"
                    type="button"
                    data-toggle="collapse"
                    data-target="#collapseOne"
                    aria-expanded="true"
                    aria-controls="collapseOne"
                  >
                    Services
                  </button>
                </h2>
              </div>

              <div
                id="collapseOne"
                class="collapse show"
                aria-labelledby="headingOne"
                data-parent="#accordionExample"
              >
                <div class="card-body">
                  <ul class="text-justify" style="list-style: none">
                    <li><a href="">Front-End Development</a></li>
                    <li><a href="">Back-End Development</a></li>
                    <li><a href="">Full-Stack Development</a></li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="card">
              <div class="card-header" id="headingTwo">
                <h2 class="mb-0">
                  <button
                    class="btn btn-link btn-block text-left collapsed"
                    type="button"
                    data-toggle="collapse"
                    data-target="#collapseTwo"
                    aria-expanded="false"
                    aria-controls="collapseTwo"
                  >
                    Projects
                  </button>
                </h2>
              </div>
              <div
                id="collapseTwo"
                class="collapse"
                aria-labelledby="headingTwo"
                data-parent="#accordionExample"
              >
                <div class="card-body">
                  <ul class="text-justify" style="list-style: none">
                    <li><a href="">HTML</a></li>
                    <li><a href="">CSS</a></li>
                    <li><a href="">JavaScript</a></li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="card">
              <div class="card-header" id="headingThree">
                <h2 class="mb-0">
                  <button
                    class="btn btn-link btn-block text-left collapsed"
                    type="button"
                    data-toggle="collapse"
                    data-target="#collapseThree"
                    aria-expanded="false"
                    aria-controls="collapseThree"
                  >
                    Tools
                  </button>
                </h2>
              </div>
              <div
                id="collapseThree"
                class="collapse"
                aria-labelledby="headingThree"
                data-parent="#accordionExample"
              >
                <div class="card-body">
                  <ul class="text-justify" style="list-style: none">
                    <li><a href="">Core Tools</a></li>
                    <li><a href="">Other Tools</a></li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- Side Navbar Section End -->

        <!-- Side Content Section Start -->
        <div class="card col-xl-10 p-0">
         <!-- Profile Section Start -->
         <div class='container-fluid bg-dark text-light min-vh-100 p-3 p-md-5'>
            <img src="https://i.guim.co.uk/img/media/3656ae6ea2209d4561caf04fa9f172a519908ca3/0_28_2318_1391/master/2318.jpg?width=1200&height=1200&quality=85&auto=format&fit=crop&s=afcc355f47876bc495cdc3c902639bae" width='250' class='rounded-circle mt-5 mt-md-0' alt="Ada Lovelace">
            <h1>Ada Lovelace</h1>
            <h3>Full-Stack Developer</h3>
            <div class="row mt-5">
               <div class="offset-md-2 col-md-8">
                  <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Alias voluptates incidunt similique? Voluptate dolore, beatae, sit accusamus odio nesciunt cupiditate perspiciatis explicabo sequi rerum consectetur voluptatem suscipit blanditiis dolores dicta?
                  Repellendus porro commodi ratione aliquid vitae cupiditate? Est unde fugit quasi reprehenderit id laudantium, sequi quae libero? Consectetur recusandae, aliquam exercitationem quas doloremque, porro minus natus eos error sint similique!
                  Totam repudiandae porro eos, aliquid adipisci labore officia maxime minus impedit dolore culpa voluptatibus at. Repudiandae accusantium eaque id illum quo ea vel, facilis necessitatibus magni aut accusamus libero error!</p>
               </div>
            </div>
            <!-- Carousel Section Start -->
            <div class="row d-none d-md-block mt-md-5">
               <div class="offset-xl-3 col-lg-6 m-auto">
                  <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
                  <ol class="carousel-indicators">
                     <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
                     <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
                     <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
                  </ol>
                  <div class="carousel-inner">
                     <div class="carousel-item active">
                        <img src="https://place-puppy.com/500x300" class="d-block w-100" alt="...">
                        <div class="carousel-caption d-none d-md-block">
                        <h5>First slide label</h5>
                        <p>Some representative placeholder content for the first slide.</p>
                        </div>
                     </div>
                     <div class="carousel-item">
                        <img src="http://placekitten.com/500/300" class="d-block w-100" alt="...">
                        <div class="carousel-caption d-none d-md-block">
                        <h5>Second slide label</h5>
                        <p>Some representative placeholder content for the second slide.</p>
                        </div>
                     </div>
                     <div class="carousel-item">
                        <img src="https://placebear.com/500/300" class="d-block w-100" alt="...">
                        <div class="carousel-caption d-none d-md-block">
                        <h5>Third slide label</h5>
                        <p>Some representative placeholder content for the third slide.</p>
                        </div>
                     </div>
                  </div>
                  <button class="carousel-control-prev" type="button" data-target="#carouselExampleCaptions" data-slide="prev">
                     <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                     <span class="sr-only">Previous</span>
                  </button>
                  <button class="carousel-control-next" type="button" data-target="#carouselExampleCaptions" data-slide="next">
                     <span class="carousel-control-next-icon" aria-hidden="true"></span>
                     <span class="sr-only">Next</span>
                  </button>
                  </div>
               </div>
            </div>
            <!-- Carousel Section End -->
         </div>
         <!-- Profile Section End -->
         <!-- Other Projects Section Start -->
      <!-- HTML Start -->
        <div class="bg-secondary text-light min-vh-100 p-5">
          <h2 class='mb-3'>Other Projects</h2>
          <div class="p-md-5 d-lg-flex justify-content-center">
            
          <div class="card bg-dark col-xl-4 mb-5 mb-xl-0">
          <div class="card-body">
          <img class='card-img-top' src="https://3.bp.blogspot.com/-7x5c_f1yzsQ/XHv9FZKHrEI/AAAAAAAADrE/4iGl9Lm6K2odX4SdWbU_RN6gZesx4IaGACEwYBhgL/s1600/html.jpg" alt="">
          <h5 class="card-title mt-3">HTML</h5>
          <h6 class="card-subtitle mb-2 text-muted">Programing Basics</h6>
          <p class="card-text">Lorem ipsum dolor sit amet consectetur, adipisicing elit. Molestias necessitatibus sunt quia eligendi dignissimos ratione! Sint optio magni, repudiandae modi ea, suscipit laudantium minima nesciunt tempora adipisci a quia nobis?
          Eos amet odit dolorum dolores nobis! In pariatur eveniet voluptates incidunt tenetur. Quae, id laudantium. Nobis impedit facilis, omnis architecto cum doloribus debitis similique voluptates, eveniet perspiciatis quo, corrupti asperiores!</p>
          <a href="#" class="card-link">Link to Project</a>
      </div>
      </div>
      <!-- HTML END -->
      <!-- BOOTSTRAP START -->
      <div class="card bg-dark col-xl-4 mb-5 mb-xl-0 mr-xl-5 ml-xl-5" >
         <div class="card-body">
          <img class='card-img-top' src="https://i.morioh.com/2019/12/17/f1ce6a0af5cb.jpg" alt="Bootstrap Image">
            <h5 class="card-title mt-3">Bootstrap</h5>
            <h6 class="card-subtitle mb-2 text-muted">Rapid Prototyping</h6>
            <p class="card-text">Lorem ipsum dolor sit amet consectetur, adipisicing elit. Molestias necessitatibus sunt quia eligendi dignissimos ratione! Sint optio magni, repudiandae modi ea, suscipit laudantium minima nesciunt tempora adipisci a quia nobis?
              Eos amet odit dolorum dolores nobis! In pariatur eveniet voluptates incidunt tenetur. Quae, id laudantium. Nobis impedit facilis, omnis architecto cum doloribus debitis similique voluptates, eveniet perspiciatis quo, corrupti asperiores!</p>
            <a href="#" class="card-link">Link to Project</a>
         </div>
         </div>
         <!-- Bootstrap End -->
         <!-- Node JS Start -->
         <div class="card bg-dark col-xl-4 mb-5 mb-xl-0" >
            <div class="card-body">
              <img class='card-img-top' src="https://clever-solution.com/wp-content/uploads/2020/04/5625%D0%9C%D0%BE%D0%BD%D1%82%D0%B0%D0%B6%D0%BD%D0%B0%D1%8F-%D0%BE%D0%B1%D0%BB%D0%B0%D1%81%D1%82%D1%8C-1-1280x720.png" alt="">
               <h5 class="card-title mt-3">Node JS</h5>
               <h6 class="card-subtitle mb-2 text-muted">Backend Basics</h6>
               <p class="card-text">Lorem ipsum dolor sit amet consectetur, adipisicing elit. Molestias necessitatibus sunt quia eligendi dignissimos ratione! Sint optio magni, repudiandae modi ea, suscipit laudantium minima nesciunt tempora adipisci a quia nobis?
                Eos amet odit dolorum dolores nobis! In pariatur eveniet voluptates incidunt tenetur. Quae, id laudantium. Nobis impedit facilis, omnis architecto cum doloribus debitis similique voluptates, eveniet perspiciatis quo, corrupti asperiores!</p>
               <a href="#" class="card-link">Link to Project</a>
            </div>
            </div>
            <!-- Node JS END -->
            </div>
         </div>

         <!-- Other projects Section End -->
         <div class='container-fluid bg-dark text-light min-vh-100 p-3 p-md-5 text-center'>
          <h2 class='m-3'>Contact Me</h2>
          <div class="p-md-5 d-lg-flex d-block justify-content-center align-items-center"> 
          
          <form class='rounded p-5 d-md-block col-sm-12 col-md-8 col-xl-4 bg-primary m-auto'>
            <div class="form-group">
              <label for="formGroupExampleInput">Name</label>
              <input type="text" class="form-control" id="formGroupExampleInput" placeholder="Your Name">
            </div>
            <div class="form-group">
              <label for="formGroupExampleInput2">Email Address</label>
              <input type="text" class="form-control" id="formGroupExampleInput2" placeholder="name@example.com">
            </div>
            <div class="form-group">
              <label for="formGroupExampleInput3">Contact Number</label>
              <input type="number" class="form-control" id="formGroupExampleInput3" placeholder="+63 900 000 00000">
            </div>
            <div class="form-group">
              <label for="exampleFormControlSelect1">Concern</label>
              <select class="form-control id="exampleFormControlSelect1">
                <option>Quotation</option>
                <option>Appointment</option>
                <option>Follow-Up</option>
              </select>
            </div>
            <div class="form-group">
              <label for="exampleFormControlTextarea1">Message</label>
              <textarea class="form-control" id="exampleFormControlTextarea1" rows="8"> </textarea>
            </div>
            <button type="button" data-toggle='modal' data-target='#modal' class="btn btn-dark mb-2">Send Email</button>
          </form>
        </div>
         </div>
        </div>
       <!-- Side Navbar Section End -->
      </div>
      <!-- End of Row -->
    </div>


    <div class="modal" id='modal' tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Thank you for contacting us!</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body text-center p-0">
            <p class='m-2'>Message Successfully Sent</p>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>

    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
